Subject: Re: [PATCH v3 17/30] pseudo-merge: implement support for selecting pseudo-merge commits

From: Taylor Blau <[email-masked]>
Date: Thu, 23 May 2024 13:56:43 -0400

On Thu, May 23, 2024 at 06:12:48AM -0400, Jeff King wrote:
> On Tue, May 21, 2024 at 03:02:32PM -0400, Taylor Blau wrote:
>
> > diff --git a/Documentation/config/bitmap-pseudo-merge.txt b/Documentation/config/bitmap-pseudo-merge.txt
> > new file mode 100644
> > index 00000000000..d4a2023b84a
> > --- /dev/null
> > +++ b/Documentation/config/bitmap-pseudo-merge.txt
> > @@ -0,0 +1,90 @@
> > +NOTE: The configuration options in `bitmapPseudoMerge.*` are considered
> > +EXPERIMENTAL and may be subject to change or be removed entirely in the
> > +future.
>
> I'm happy to see this all marked as experimental. We really don't know
> what selection approach will be best yet, and it's good not to lock
> ourselves in.
>
> I wasn't sure how this would format via asciidoc, since we're in the
> middle of a list of variables. It...kind of looks like the note goes
> under the previous entry (for attr.tree) in the text manpage. Though
> looking at the docbook, I _think_ it's actually outside of that, and
> it's just how the roff ends up indenting it?

I think that you're right that this is a roff indentation thing. Looking
at the html version rendered by asciidoc, it places the NOTE in an
admonition block [1] that is separate from the previous attr.tree entry.

> I don't know if it's worth spending too much time on, but maybe there's
> an easy way to do it differently (I couldn't think of one).
>
> This paragraph might also be a good place to refer to gitpacking(7).

Great idea, thanks.

> > diff --git a/Documentation/gitpacking.txt b/Documentation/gitpacking.txt
> > index ff18077129b..1ed645ff910 100644
> > --- a/Documentation/gitpacking.txt
> > +++ b/Documentation/gitpacking.txt
>
> Thanks, I think this new file and the content you added address all of
> my documentation complaints.

Good :-).

> I think it will also be a good place to discuss bitmaps in general, but
> you were IMHO wise to not do that in this series, which is already quite
> big. :)

Thanks. Yeah, I would like to add more about bitmaps and other advanced
packing concepts in general to gitpacking(7), but let's do so outside of
this already-gigantic series ;-).

Thanks,
Taylor

[1]: https://docs.asciidoctor.org/asciidoc/latest/blocks/admonitions/